//------------------------------------------------------------------------------------
// irr::gui::IGUIImage wrappers
// do not delete a pointer to this
//------------------------------------------------------------------------------------

extern "C" {

	void IrrGUI_IGUIImage_setImage(IGUIImage* img,ITexture* image)
	{
		if (img)
			img->setImage(image);
	}

	void IrrGUI_IGUIImage_setUseAlphaChannel(IGUIImage* img,bool use)
	{
		if (img)
			img->setUseAlphaChannel(use);
	}

	void IrrGUI_IGUIImage_setColor(IGUIImage* img,SColor* color)
	{
		if (img)
			img->setColor(*color);
	}
	
	void IrrGUI_IGUIImage_setScaleImage(IGUIImage* img,bool scale)
	{
		if (img)
			img->setScaleImage(scale);
	}
	
	bool IrrGUI_IGUIImage_isImageScaled(IGUIImage* img)
	{
		if (img)
			return img->isImageScaled();
		else return false;
	}
	
	bool IrrGUI_IGUIImage_isAlphaChannelUsed(IGUIImage* img)
	{
		if (img)
			return img->isAlphaChannelUsed();
		else return false;
	}
}
 

